RubyGems Navigation menu

depq 0.7

depq is a Double-Ended Priority Queue library. It is a data structure which can insert elements and delete elements with minimum and maximum priority. If there are elements which has same priority, the element inserted first is chosen. The priority can be changed after the element is inserted.

Versions:

  1. 0.7 - June 29, 2014 (24 KB)
  2. 0.6 - November 29, 2011 (22.5 KB)
  3. 0.5 - October 27, 2011 (18.5 KB)
  4. 0.4 - November 28, 2009 (18 KB)
  5. 0.3 - September 22, 2009 (17.5 KB)
Show all versions (7 total)

Authors:

  • Tanaka Akira

Owners:

B11f10c4cd9d53970e7be20caa43f940

Sha 256 checksum:

31817cec3f348250a10e9bbba9d9891fa1f7509e827be2326bd97f2443b7beb0

Total downloads 12,528

For this version 1,065

Show all versions (7 total)

Required Ruby Version: >= 0

Licenses:

BSD-3-Clause

Gemfile:
= Copy to clipboard Copied!

install:
= Copy to clipboard Copied!

Links: